Skip to main content
GET
/
v1
/
geolocation
Geocode an address into candidate locations
curl --request GET \
  --url https://app.variable.global/api/v1/geolocation \
  --header 'Authorization: Bearer <token>'
{
  "count": 3,
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "googleMapsId": "ChIJA4UGSG_xNIgRNBuiWqEV-Y0",
      "name": "Syracuse, NY, USA",
      "countryCode": "US",
      "latitude": 43.0481,
      "longitude": -76.1474,
      "locationType": "APPROXIMATE"
    }
  ]
}
Requires permission:

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Free-text address or place to geocode (max 200 characters)

Maximum string length: 200

Response

Ranked, un-persisted geolocation candidates

count
integer
Example:

3

data
object[]